Bug 185933 - Missing printers.conf breaks hal_lpadmin
Summary: Missing printers.conf breaks hal_lpadmin
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-20 03:39 UTC by W. Michael Petullo
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-23 09:45:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description W. Michael Petullo 2006-03-20 03:39:17 UTC
Description of problem:


Version-Release number of selected component (if applicable):
hal-cups-utils-0.5.5-1.2

How reproducible:


Steps to Reproduce:
1. rm -f /etc/cups/printers.conf
2. hal_lpadmin -p <udi>
  
Actual results:
Traceback (most recent call last):
  File "/usr/sbin/printconf-backend", line 7, in ?
    import backend
  File "/usr/share/printconf/util/backend.py", line 808, in ?
    printers_conf_lines = file (printers_conf).readlines ()
IOError: [Errno 2] No such file or directory: '/etc/cups/printers.conf'


Expected results:
/etc/cups/printers.conf should be created

Additional info:

Comment 1 John (J5) Palmieri 2006-03-20 20:22:08 UTC
/usr/sbin/printconf-backend is spawned by hal_lpadmin in order to add and remove
printers.  This is a component of system-config-printer.  Reassigning.

Comment 2 Tim Waugh 2006-03-23 09:45:01 UTC
Don't remove that file.  It is created when you install CUPS, and should never
be removed.


Note You need to log in before you can comment on or make changes to this bug.